What a shame Rated 1 out of 5 stars

Disappointing. http or https is required before each entry when it really isn't required when set manually. You can't paste in a ton of coma separated items to add them quickly. This isn't any better than going to about:config unfortunately.

This review is for a previous version of the add-on (1.2.0.1-signed). 

Requests welcome on the plugin site

I do monitor and track issues for the plugin on the plugin site (http://code.google.com/p/firefox-ntlmauth/). If there's something you want, I encourage you to add an issue for it.

The requirement for the protocol has been removed per a request entered there. Try it out, let me know what you think.